<html>
  <head>
    <title>Development History</title>
  </head>
  <body bgcolor="#ffffff" text="#000000">
   <center>
    <table width="90%" border="0" valign="top" cellspacing="20">
    <tr><td bgcolor="#525861"><a href="index.html"><font color="#9eaca0"><b>Back</b></font></a></td></tr>
    <tr><td>
     <h2>Development History</h2>
      <h3>Version 0.5.9 was released on December 17, 2024 as source code only.<br>
        Changes from 0.5.8d to 0.5.9:</h3>
      <ul>
        <li>Numerous changes to make MI-SUGAR run on macOS 11 or later.</li>
        <li>Various problem corrections and some performance improvements.</li>
      </ul>
      <h3>Version 0.5.8d was released on November 13, 2011.<br>
        Changes from 0.5.8c to 0.5.8d:</h3>
      <ul>
        <li>Made MI-SUGAR run on Mac OS X version 10.7.</li>
        <li>Replaced the MI-SPICE with ngspice R23 and removed the Gnucap simulator.</li>
      </ul>
     <h3>Version 0.5.8c was released on October 8, 2008.<br>
         Changes from 0.5.8 to 0.5.8c:</h3>
     <ul>
       <li>Removed ability to check for updates.</li>
       <li>Updated references to emails and web pages.</li>
       <li>Migrated project files to Xcode 3.</li>
     </ul>
     <h3>Version 0.5.8 was released on December 4, 2005.<br>
         Changes from 0.5.7 to 0.5.8:</h3>
     <ul>
       <li>Added "Fit to View" button, removed "Home" button.</li>
       <li>Fixed bug which prevented node numbers from being visible.</li>
       <li>Added support for Macs with Intel processors.</li>
       <li>Other minor fixes.</li>
     </ul>
     <h3>Version 0.5.7 was released on October 3, 2004.<br>
         Changes from 0.5.6 to 0.5.7:</h3>
     <ul>
       <li>Exporting schematics to SVG.</li>
       <li>Custom subcircuit shapes.</li>
       <li>Clickable variants indicator.</li>
       <li>Non-blocking, abortable circuit analysis.</li>
     </ul>
     <h3>Version 0.5.6 was released on May 5, 2004.<br>
         Changes from 0.5.5 to 0.5.6:</h3>
     <ul>
       <li>Elements now snap to alignment.</li>
       <li>You can now have up to four different schematics in one window.</li>
       <li>Some keyboard shortcuts introduced in previous version have changed.</li>
       <li>Many bug fixes and minor usability enhancements.</li>
     </ul>
     <h3>Version 0.5.5 was released on April 28, 2004.<br>
         Changes from 0.5.4 to 0.5.5:</h3>
     <ul>
       <li>Significant user interface modifications.</li>
       <li>Unlimited undo in schematic tool.</li>
       <li>Ability to add text to schematics.</li>
       <li>Exporting analysis results to tab-delimited text file format.</li>
       <li>Added non-linear dependent power source element</li>
       <li>Updated SPICE engine (see release notes).</li>
       <li>Plus many small changes.</li>
     </ul>
     <h3>Version 0.5.4 was released on April 13, 2004.<br>
         Changes from 0.5.3 to 0.5.4:</h3>
     <ul>
       <li>Device model management has been improved.</li>
       <li>Schematics can be printed now.</li>
       <li>MOSFET elements with bulk connectors have been added.</li>
       <li>The Gnucap binary has been updated to version 0.34.</li>
       <li>Many small fixes.</li>
     </ul>
     <h3>Version 0.5.3 was released on March 30, 2004.<br>
         Changes from 0.5.2 to 0.5.3:</h3>
     <ul>
       <li>Added support for subcircuits.</li>
       <li>Node names are used now when converting to netlist.</li>
       <li>Added pulse current source element.</li>
       <li>Many small enhancements and bug fixes.</li>
     </ul>
     <h3>Version 0.5.2 was released on January 12, 2004.<br>
         Changes from 0.5.1 to 0.5.2:</h3>
     <ul>
       <li>The <i>sugar</i> file format has changed! Files saved with previous
           versions (0.5 and 0.5.1) can not be opened with this version.
       <li>Connections between elements have changed from single straight lines
           to two lines, one horizontal and one vertical.
       <li>Pressing the space bar after capturing displays assigned node numbers
           and device information (for some elements) on the schematic.
       <li>Added dependent voltage and current source schematic elements.
       <li>If a schematic uses elements with non-default device models
           then these models are saved together with the schematic now.
           When a file is opened new models are imported automatically.
       <li>Minor behavioral fixes.
       <li>The Gnucap binary has been updated to the latest version.
     </ul>
     <h3>Version 0.5.1 was released on November 29, 2003.<br>
         Changes from 0.5 to 0.5.1:</h3>
     <ul>
       <li>From this version on the right mouse button is used to connect elements.
       <li>Added choice of vertical or horizontal window layout.
       <li>Fixed numerous bugs.
       <li>Added pulse voltage, sinusoidal voltage and alternative node element.
       <li>Added version recognition of the <i>.sugar</i> file format.
       <li>Added more semiconductor device options.
       <li>Added copy-paste functionality between windows.
       <li>Added 'Home' button which moves the schematic to the lower left corner of the work area.
     </ul>
     <h3>Version 0.5 was released on November 22, 2003.<br>
         Changes from 0.4.4 to 0.5:</h3>
     <ul>
       <li>Added a schematic entry tool.
       <li>Added basic capturing of the schematic (turning into a netlist).
       <li>Added an additional file format for saving the schematic.
       <li>Added simple device model management for use with the schematic tool.
     </ul>
     <h3>Version 0.4.4 was released on November 5, 2003.<br>
         Changes from 0.4.3 to 0.4.4:</h3>
     <ul>
       <li>Fixed the bug which prevented plotting on Mac OS X 10.3.
       <li>Added new device models to the built-in SPICE.
       <li>Added checking of the plotting region limits before turning on logarithmic scaling.
       <li>Now allows plotting of results when using a custom simulator.
     </ul>
     <h3>Version 0.4.3 was released on October 24, 2003.<br>
         Changes from 0.4.2 to 0.4.3:</h3>
     <ul>
       <li>The grid color and background color of the plotter are customizable now.
       <li>Added line numbering to the netlist editor.
       <li>Lone CR line ending characters are automatically filtered out.
       <li>Added option to automatically show the 'Guides' section of the plotter controls when a guide is dragged.
       <li>Added option to remember the settings in the 'Plot' section of the plotter controls.
       <li>Added option to close all previous plot windows when a new plot window is shown.
     </ul>
     <h3>Version 0.4.2 was released on October 10, 2003.<br>
         Changes from 0.4.1 to 0.4.2:</h3>
     <ul>
       <li>First commercial version.
       <li>Window size is stored between sessions now.
       <li>Better support for printing
       <li>Graph  color is customizable now.
       <li>Exporting analysis results via AppleScript.
       <li>Other minor improvements.
     </ul>
     <h3>Version 0.4.1 was released on July 22, 2003.<br>
         Changes from 0.4 to 0.4.1:</h3>
     <ul>
       <li>Added drawing of Nyquist plots for complex-valued simulation variables.
       <li>A donation key is required to access the plotter controls panel now.
     </ul>
     <h3>Version 0.4 was released on July 19, 2003.<br>
         Changes from 0.3.3 to 0.4:</h3>
     <ul>
       <li>Added zooming into and out of subregions in the plotter.
       <li>Added guides for marking positions in the plots.
       <li>Added support for Gnucap in addition to SPICE.
       <li>Added netlist highlighting with colored lines.
       <li>All output is shown in a single text area now.
       <li>SPICE output is not in raw format anymore. Use the .PRINT
           command to display the results.
       <li>Added scripting support with the <b>analyze</b> and <b>plot</b> commands.
     </ul>
     <h3>Version 0.3.3 was released on June 20, 2003.<br>
         Changes from 0.3.2 to 0.3.3:</h3>
     <ul>
       <li>Complex-valued analysis results are supported now.
       <li>The preferences panel has been renewed.
       <li>SPICE comes now contained within the application bundle
           so you don't have to set the path to it anymore.
     </ul>
     <h3>Version 0.3.2 was released on June 8, 2003.<br>
         Changes from 0.3.1 to 0.3.2:</h3>
     <ul>
       <li>Added exporting of analysis results to MathML and Matlab formats.
       <li>Fixed an important bug in the circuit source parser.
       <li>Fixed a bug that would show wrong values for the ordinate of the
           current mouse position when the ordinate is logarithmically scaled.
       <li>Changed label positions in the graph plotter.
       <li>Modified grid lines for logarithmic scales.
       <li>Fixed the "Save", "Save As..." and "Open Recent" behaviour.
     </ul>
     <h3>Version 0.3.1 was released on May 31, 2003.<br>
         Changes from 0.3 to 0.3.1:</h3>
     <ul>
       <li>Fixed CRLF bug, which made the application freeze when analyzing source files
           that were edited under Windows (or any editor that uses 'carriage return' in
           addition to 'line feed' to make a new line).
       <li>More options in the preferences panel: Automatic checking for updates, plotter
           background color, plotter line widths, and plotter labels font size.
       <li>The plots can now be copied to the clipboard.
       <li>Immature support for printing of plots.
       <li>Did some interface beautification work and changed the location of the
           shell output area.
     </ul>
     <h3>Version 0.3 was released on April 24, 2003.<br>
         Changes from 0.2.1 to 0.3:</h3>
     <ul>
       <li>Fixed the mismatching of the graph visibility indicators in the plotter options.
       <li>Added scaling of graph variables.
       <li>The plotter draws a uniform grid now instead of the sweep lines.
       <li>Added labels to the plotter.
       <li>Fixed a bug which prevented plotting graphs of variables with negative sweep stepping.
       <li>Changed the signature of the application from 'com.macinitiative.sugar' to
           'com.macinit.sugar'. Users of previous versions will have to set the path to
           the SPICE tool and the preferred fonts again. Sorry for that. You can delete
           the old preferences file 'com.macinitiative.sugar.plist' which can be found
           in the sub-directory 'Library/Preferences' in your home directory.
     </ul>
     <h3>Version 0.2.1 was released on April 8, 2003.<br>
         Changes from 0.2 to 0.2.1:</h3>
     <ul>
       <li>Now correctly plots DC analyses with two sweep parameters.
       <li>Basic AppleScript capabilities are enabled now.
       <li>A scrollbar is added to the variables table in plotter.
       <li>To improve stability, input files larger than 256KB are rejected.
       <li>The fonts of the circuit source text area and of the raw analysis output text
           area can now be set in the 'Preferences' panel.
       <li>The application's icon has changed.
     </ul>
     <h3>Version 0.2 was released on March 10, 2003.<br>
         First public release.</h3>
    </td></tr>
    </table>
   </center>
  </body>
</html>
